#ifndef ANIMATIONEDIT_H
#define ANIMATIONEDIT_H

#include"ui_main.h"

#include"../core/mimage.h"

class AnimationEdit : public QMainWindow{
	Q_OBJECT
  public:
	AnimationEdit(QWidget* parent = 0);
  private:
	Ui::MainWindow ui;

	MImage* what;
	MFilename whatFileName;

	void closeEvent(QCloseEvent* e);
	void switchTo(MImage* mi);
	bool changed;
  private slots:
	void on_action_New_activated();
	void on_action_Save_activated();
	void on_actionSave_As_activated();
	void on_action_Open_activated();

	void on_action_Add_activated();
	void on_action_View_activated();
  signals:
	void addFrame(MFilename name, int lt, int ht);
};

#endif

