#ifndef ANIMATIONWIDGET_H
#define ANIMATIONWIDGET_H

#include<QWidget>
#include<QPaintEvent>
#include<QTimer>

#include"../core/mimage.h"

class AnimationWidget : public QWidget{
	Q_OBJECT
  public:
	AnimationWidget(MImage* image, QWidget* parent = 0);

	void paintEvent(QPaintEvent* e);
  private:
	MImage* img;
	QTimer* timer;
  private slots:
	void timerTick();
};

#endif

