#ifndef MIMAGE_H
#define MIMAGE_H

//class Screen;
class QWidget;
class QPainter;

#include<QPoint>
#include<QDataStream>

//#include"../sdl/point.h"

#include"mfilename.h"

class MImage{
  public:
//	MImage(QString& filename);

//	virtual void draw(Screen* screen, Point where) = 0;

	virtual ~MImage();

	virtual void draw(QPainter* screen, QPoint where) = 0;

	virtual bool tick() = 0;	// returns true if redraw needed

	static MImage* load(MFilename& filename);
	virtual bool save(MFilename& Filename);

	int getWidth();
	int getHeight();
	QString getCreator();
	int getType();
  protected:
	MImage(MFilename& filename);
	MImage();

	virtual bool loadFromData(QDataStream& in, int vermagic) = 0;
	virtual bool saveToData(QDataStream& out) = 0;

	qint16 type;
	qint16 width;
	qint16 height;
	qint16 vermagic;
	QString creator;
};

#endif

