#ifndef MAPEDIT_H
#define MAPEDIT_H

#include<QMainWindow>
#include"ui_main.h"

#include"../core/mmap.h"

class MapEdit : public QMainWindow{
	Q_OBJECT
  public:
	MapEdit(QWidget* parent = 0);
  private:
	void closeEvent(QCloseEvent* e);

	bool changed;
	MMap* map;

	Ui::MainWindow ui;
  private slots:
	void on_action_New_activated();
	void on_action_Save_activated();
	void on_actionSave_As_activated();
	void on_action_Open_activated();

	void on_addTileButton_pressed();
  signals:
};

#endif

