#ifndef MAPWIDGET_H
#define MAPWIDGET_H

#include<QWidget>
#include<QMouseEvent>
#include<QPaintEvent>

#include"../core/mmap.h"

class MapWidget : public QWidget{
	Q_OBJECT
  public:
	MapWidget(QWidget* parent = 0);

	void setMap(MMap* m);
  private:
	void mousePressEvent(QMouseEvent* e);
	void mouseMoveEvent(QMouseEvent* e);
	void paintEvent(QPaintEvent* e);

	int x;
	int y;

	MMap* map;
  public slots:

  signals:
	void clicked(int x, int y);
};

#endif

