#include"addframe.h"

#include"../core/mfilename.h"

AddFrame::AddFrame(QWidget* parent)
	: QDialog(parent){
	ui.setupUi(this);
}

void AddFrame::on_browseButton_clicked(){
	MFilename a = MFilename::getOpenFileName(MFilename::StaticImage, this);

	if(a.isValid())
		ui.imageName->setText(a.forDisk());
}

QString AddFrame::getImageName(){
	return ui.imageName->text();
}

int AddFrame::getMinimumTime(){
	return ui.minTime->value();
}

int AddFrame::getMaximumTime(){
	return ui.maxTime->value();
}

