#include"animationwidget.h"

#include<QPainter>

AnimationWidget::AnimationWidget(MImage* image, QWidget* parent)
	:QWidget(parent){

	img = image;

	timer = new QTimer(this);

	connect(timer, SIGNAL(timeout()), this, SLOT(timerTick()));
	timer->start(50);

	resize(img->getWidth(), img->getHeight());
}

void AnimationWidget::paintEvent(QPaintEvent* e){
	QPainter p(this);

//	p.beg

	img->draw(&p, QPoint(0,0));

	p.end();
}

void AnimationWidget::timerTick(){
	if(img->tick())
		update();
}

