#include"mframe.h"

#include<QDebug>

MFrame::MFrame(MFilename& filename, int minT, int maxT){
	loadImage(filename);

	fn = MFilename(filename);

	minTime = minT;
	maxTime = maxT;
}

QImage& MFrame::getImage(){
	return image;
}

int MFrame::getWidth(){
	return image.width();
}

int MFrame::getHeight(){
	return image.height();
}

void MFrame::loadImage(MFilename& filename){
	image.load(filename.forDisk());
}

int MFrame::getMinTime(){
	return minTime;
}

int MFrame::getMaxTime(){
	return maxTime;
}

QString MFrame::getForFile(){
	return fn.forStoringInFile();
}

