#ifndef MFRAME_H
#define MFRAME_H

#include<QImage>
#include<QString>

#include"mfilename.h"

class MFrame{
  public:
	MFrame(MFilename& filename, int minT, int maxT);

	void loadImage(MFilename& filename);
	int getMinTime();
	int getMaxTime();

	int getWidth();
	int getHeight();

	QImage& getImage();
	QString getForFile();
  private:
	QImage image;
	MFilename fn;
	int minTime;
	int maxTime;

	friend class FrameAnimationEdit::editFrame();
};

#endif

