#ifndef MFRAMEANIMATION_H
#define MFRAMEANIMATION_H

#include"mimage.h"
#include"mframe.h"

#include<QList>
#include<QString>

class MFrameAnimation : public MImage{
  public:
	MFrameAnimation();
	MFrameAnimation(MFilename filename);

	void draw(QPainter* screen, QPoint where);
	bool tick();
  private:
	bool loadFromData(QDataStream& in, int vermagic);
	bool saveToData(QDataStream& out);

	int currentFrame;
	int currentTick;
	int currentTickNeeded;

//	void addFrame(QString& filename, int minT, int maxT);
//	void removeFrame(int index);
	QList<MFrame> frames;

	friend class FrameAnimationEdit;
};

#endif

