#ifndef MSCRIPTEDANIMATION_H
#define MSCRIPTEDANIMATION_H

#include"mimage.h"

#include<QString>

#include<qsinterpreter.h>

class MScriptedAnimation : public MImage{
  public:
	MScriptedAnimation();
	MScriptedAnimation(MFilename filename);

	void draw(QPainter* screen, QPoint where);
	bool tick();
  private:
	bool loadFromData(QDataStream& in, int vermagic);
	bool saveToData(QDataStream& out);

	QString script;
	QSInterpreter interpreter;
};

#endif

