#ifndef MTILE_H
#define MTILE_H

#include"mfilename.h"

#include<QPainter>
#include<QPoint>

class MTile{
  public:
	MTile();
	MTile(MFilename fn);
	~MTile();

	bool load(MFilename fn);
	bool save(MFilename fn);

	bool tick();
	void draw(QPainter* p, QPoint w, int n = -1);
  private:
	MFilename animationNames[6];
	int damage;
	bool overdraw;
	bool canWalk;
	bool canMove[6];
	bool canPark[6];

	int battleFrequency;
	MFilename battleBackground;

	QString creator;

	friend class TileEdit;
};

#endif

