#include"mapedit.h"

#include<QMessageBox>
#include<QCloseEvent>

MapEdit::MapEdit(QWidget* parent)
	:QMainWindow(parent){

	ui.setupUi(this);

	changed = false;

	map = new MMap(100,100);

	ui.mapView->setMap(map);
}

void MapEdit::on_action_New_activated(){

}

void MapEdit::on_action_Save_activated(){

}

void MapEdit::on_actionSave_As_activated(){

}

void MapEdit::on_action_Open_activated(){

}


void MapEdit::on_addTileButton_pressed(){
	MFilename fn = MFilename::getOpenFileName(MFilename::Tile, this);

	ui.tileList->addItem(fn.forDisk());
}

void MapEdit::closeEvent(QCloseEvent* e){
	if(changed)
		switch(
			QMessageBox::question(this, 
				tr("Confirm exit"), 
				tr("Save before exiting?"),
				 QMessageBox::Save, QMessageBox::Discard, QMessageBox::Cancel)
		){
			case QMessageBox::Save:
				on_action_Save_activated();
			break;
			case QMessageBox::Discard:
				e->accept();
				return;
			case QMessageBox::Cancel:
				e->ignore();
				return;
		}
	else
		e->accept();
}

