#include"mapwidget.h"

#include<QPainter>

MapWidget::MapWidget(QWidget* parent)
	:QWidget(parent){
//	setMap(m);
	map = NULL;
	x = -1;
	y = -1;
}

void MapWidget::setMap(MMap* m){
	map = m;
	if(m == NULL)
		throw 10;
	resize(m->width * 32,m->height * 32);
}

void MapWidget::mousePressEvent(QMouseEvent* e){
	if((x != e->x() / 32) || (y != e->y() / 32)){
		x = e->x() / 32;
		y = e->y() / 32;

		emit clicked(x,y);
	}
}

void MapWidget::mouseMoveEvent(QMouseEvent* e){
	if((x != e->x() / 32) || (y != e->y() / 32)){
		x = e->x() / 32;
		y = e->y() / 32;

		emit clicked(x,y);
	}
//	update();
}

void MapWidget::paintEvent(QPaintEvent* e){
	QPainter a(this);

	a.setPen(Qt::blue);
	a.setBrush(Qt::blue);

	a.drawRect(x*32, y*32, 32, 32);

}

